#include <syscall.h>

#define __KERNEL__ 
#include <sys/msg.h>

static inline
_syscall5(int,ipc,int,call,int,first,int,second,int,third,void *,ptr)

int
msgsnd (int msqid, struct msgbuf *msgp, int msgsz, int msgflg)
{
    return ipc (MSGSND, msqid, msgsz, msgflg,  msgp);
}


